﻿//================================================================================
//  
//        FreqResponseGraphData.cs      周波数特性グラフの波形データクラス
//  
//        (c)2009/07/26  by OjisanKoubou
//  
//================================================================================
//  
//  このプログラムは Ojisankoubou( OGAWA Ichiro ) が著作権を持っています。
//  個人の研究目的には、修正、改造など自由に使用できます。
//  発表される際は著作権表示部分を消さないようにしてください。
//  このソフトウェアの全部もしくは一部を製品に組み込んだり販売したりするなどの
//  商業的利用はできません。
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace APB_3 {
    //-------------------------------------------------------------------------
    // 波形データクラス     
    //-------------------------------------------------------------------------
    public class FreqResponseGraphData {
        public double freq;
        public double data;
        
        public FreqResponseGraphData(double freq, double data) {
            this.freq = freq;
            this.data = data;
        }
    }

    public class FreqResponseComplexData {
        public double freq;
        public Complex data;
        
        public FreqResponseComplexData(double freq, Complex data) {
            this.freq = freq;
            this.data = data;
        }
    }

}
