﻿//================================================================================
//  
//       LogForm.cs      ログ画面
//  
//        (c)2012/08/28  by OjisanKoubou
//  
//================================================================================
//  
//  このプログラムは Ojisankoubou( OGAWA Ichiro ) が著作権を持っています。
//  個人の研究目的には、修正、改造など自由に使用できます。
//  発表される際は著作権表示部分を消さないようにしてください。
//  このソフトウェアの全部もしくは一部を製品に組み込んだり販売したりするなどの
//  商業的利用はできません。
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace APB_3
{
    public partial class LogForm : Form
    {
        public LogForm()
        {
            InitializeComponent();
            Resize();
        }


        //
        //
        //
        private void mouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
        {
            this.Focus();
        }


        //
        //
        //
        private void sizeChanged(object sender, System.EventArgs e)
        {
            Resize();
        }


        public void Resize()
        {
            richTextBox1.Height = ClientSize.Height - 2;
            richTextBox1.Width = ClientSize.Width - 0;
            Invalidate();
        }


        //
        //
        //
        public void Print(string str)
        {
            richTextBox1.SelectionStart = richTextBox1.Text.Length;
            richTextBox1.SelectedText = str;
            //if (debugf.Visible)
            //{
            richTextBox1.ScrollToCaret();
            //}
        }
    }
}
