﻿//================================================================================
//  
//        DiagnosticsForm.cs        ＡＰＢ－３　診断プログラム
//  
//        (c)2011/07/07  by OjisanKoubou
//  
//================================================================================
//  
//  このプログラムは Ojisankoubou( OGAWA Ichiro ) が著作権を持っています。
//  個人の研究目的には、修正、改造など自由に使用できます。
//  発表される際は著作権表示部分を消さないようにしてください。
//  このソフトウェアの全部もしくは一部を製品に組み込んだり販売したりするなどの
//  商業的利用はおやめください。
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.IO.Ports;
using System.Linq;
using System.Management;
using System.Text;
using System.Threading;
using System.Windows.Forms;

namespace APB_3

{
    public partial class DiagnosticsForm : Form
    {
        private static int wn = 0;

        public MainForm mainf;

//        private int filesize = 0;                // ファイルサイズ
//        private Byte[] buf  = new Byte[200000];  // ファイル読み込みデータ格納用配列、本来は150kBあればOK


        public DiagnosticsForm()
        {
            InitializeComponent();
            wn++;
            this.Text = "ハードウェア診断 " + wn.ToString();
            richTextBox1.Font = new Font("ＭＳ ゴシック", richTextBox1.SelectionFont.Size); // 等幅フォント
        }



        //
        //　　バージョン表示ボタン クリックイベントハンドラー
        //
        private void button_Version_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＤａｔＦｌａｓｈ ＩＤ 読み出しボタン クリックイベントハンドラー
        //
        private void button_DataFlashID_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＤａｔＦｌａｓｈ 読み出しボタン クリックイベントハンドラー
        //
        private void button_DataFLashReadPage_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＤａｔＦｌａｓｈ プログラムボタン クリックイベントハンドラー
        //
        private void button_DataFLashProgram_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＤａｔＦｌａｓｈ ベリファイボタン クリックイベントハンドラー
        //
        private void button_DataFlashVerify_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＦＰＧＡ コンフィグボタン クリックイベントハンドラー
        //
        private void button_FPGAConfig_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        // ファイル転送スレッド
        //
        void tsenddata()
        {
        }


        //
        //　　ＦＰＧＡ バージョン表示ボタン クリックイベントハンドラー
        //
        private void button_FPGAversion_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＦＰＧＡ 書き込みボタン クリックイベントハンドラー
        //
        private void button_FPGAWrite_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　ＦＰＧＡ 読み出しボタン クリックイベントハンドラー
        //
        private void button_FPGARead_Click(object sender, EventArgs e)
        {
            if (Apb3.Open())
            {
                Apb3.Close();
            }
        }


        //
        //　　画面文字列出力
        //
        private void Print(string str)
        {
            richTextBox1.SelectionStart = richTextBox1.Text.Length;
            richTextBox1.SelectedText = str;
            richTextBox1.ScrollToCaret();
            richTextBox1.Refresh();
        }
        
        
    }
}
