﻿//================================================================================
//  
//        FreqResponseGraphScale.cs      周波数特性グラフのスケール表示クラス
//  
//        (c)2009/07/26  by OjisanKoubou
//  
//================================================================================
//  
//  このプログラムは Ojisankoubou( OGAWA Ichiro ) が著作権を持っています。
//  個人の研究目的には、修正、改造など自由に使用できます。
//  発表される際は著作権表示部分を消さないようにしてください。
//  このソフトウェアの全部もしくは一部を製品に組み込んだり販売したりするなど
//  商業的利用はおやめください。
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace APB_3
{
    //-------------------------------------------------------------------------
    // スケールクラス     FreqResponseGraphForm で表示するスケール
    //-------------------------------------------------------------------------
    public class FreqResponseGraphScale
    {
        public double top = 0;        // 波形表示する際の top(一番上=ref)
        public double perdiv = 10;    // 1div あたり
        public string name = "MAG";   // スケール名称
        public string unit = "dB";    // 
        public int pos = 0;          // 0: 左側　1: 右側
        public bool visible = true;   // 表示する・しない

        public FreqResponseGraphScale()
        {
        }

        public FreqResponseGraphScale(double top, double perdiv, string name, string unit, int pos)
        {
            this.top = top;
            this.perdiv = perdiv;
            this.name = name;
            this.unit = unit;
            this.pos = pos;
        }
    }

}
