----------------------------------------------------------------------------------
--  
--        fix2float.vhd        _`ւ̕ϊ
--  
--        (c)2012/04/27  by OjisanKoubou
--  
----------------------------------------------------------------------------------
--  
--  ̃vO Ojisankoubou( OGAWA Ichiro ) 쌠Ă܂B
--  ľړIɂ́ACAȂǎRɎgpł܂B
--  \ۂ͒쌠\Ȃ悤ɂĂB
--  ̃\tgEFȂS͈ꕔ𐻕iɑgݍ񂾂̔肷Ȃ
--  ƓIp͂߂B
--
--
--  ́FQOrbgŒ菬_@@S + 19bit(data)
--  óFPUrbg_@@S + 3bit(2^n) + 12bit(data)
--


library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;
use IEEE.std_logic_arith.all;

------------------------------------------------------------------------------
entity fix2float is 
  port (
    CLK     : in  std_logic;                      -- 
    FIX20   : in  std_logic_vector( 19 downto 0); -- ̓f[^
    FLOAT16 : out std_logic_vector( 15 downto 0)  -- o̓f[^
  );
end fix2float;


------------------------------------------------------------------------------
architecture RTL of fix2float is
  
  signal L : std_logic_vector( 7 downto 0); -- xɉăVtgʂ߂
  signal F : std_logic_vector(14 downto 0); -- _`
  
begin
  L <= FIX20(19 downto 12);
  
  F <= "111" & FIX20(11 downto 0) when( L(7 downto 0)="00000000" or L(7 downto 0)="11111111" ) else 
       "110" & FIX20(12 downto 1) when( L(7 downto 1)="0000000"  or L(7 downto 1)="1111111"  ) else 
       "101" & FIX20(13 downto 2) when( L(7 downto 2)="000000"   or L(7 downto 2)="111111"   ) else 
       "100" & FIX20(14 downto 3) when( L(7 downto 3)="00000"    or L(7 downto 3)="11111"    ) else 
       "011" & FIX20(15 downto 4) when( L(7 downto 4)="0000"     or L(7 downto 4)="1111"     ) else 
       "010" & FIX20(16 downto 5) when( L(7 downto 5)="000"      or L(7 downto 5)="111"      ) else 
       "001" & FIX20(17 downto 6) when( L(7 downto 6)="00"       or L(7 downto 6)="11"       ) else 
       "000" & FIX20(18 downto 7);
  
  ------------------------------------------------------------------
  --  b`ďo͂
  ------------------------------------------------------------------
  process( CLK ) begin
    if( rising_edge(CLK) ) then
      FLOAT16 <= FIX20(19) & F;
    end if;
  end process;
  
  
end RTL;
----------------------------- end of architecture ----------------------------

